Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgSim::ImpostorSpriteManager Class Reference

Helper class for managing the reuse of ImpostorSprite resources. More...

Inheritance diagram for osgSim::ImpostorSpriteManager:

[legend]
List of all members.

## Public Member Functions
| ImpostorSpriteManager ()
bool | empty () const
ImpostorSprite * | first ()
ImpostorSprite * | last ()
void | push_back (ImpostorSprite *is)
void | remove (ImpostorSprite *is)
ImpostorSprite * | createOrReuseImpostorSprite (int s, int t, int frameNumber)
osg::StateSet * | createOrReuseStateSet ()
void | reset ()
## Protected Types
typedef std::vector< osg::ref_ptr< osg::StateSet > > | StateSetList
## Protected Member Functions
| ~ImpostorSpriteManager ()
## Protected Attributes
osg::ref_ptr< osg::TexEnv > | _texenv
osg::ref_ptr< osg::AlphaFunc > | _alphafunc
ImpostorSprite * | _first
ImpostorSprite * | _last
StateSetList | _stateSetList
unsigned int | _reuseStateSetIndex

## Detailed Description

Helper class for managing the reuse of ImpostorSprite resources.

## Member Typedef Documentation

typedef std::vector< osg::ref_ptr<osg::StateSet> > osgSim::ImpostorSpriteManager::StateSetList`[protected]`

## Constructor & Destructor Documentation

osgSim::ImpostorSpriteManager::ImpostorSpriteManager | ( |  | ) |

osgSim::ImpostorSpriteManager::~ImpostorSpriteManager | ( |  | ) | `[protected]`

## Member Function Documentation

ImpostorSprite* osgSim::ImpostorSpriteManager::createOrReuseImpostorSprite | ( | int | s,
|  | int | t,
|  | int | frameNumber
| ) |

osg::StateSet* osgSim::ImpostorSpriteManager::createOrReuseStateSet | ( |  | ) |

bool osgSim::ImpostorSpriteManager::empty | ( |  | ) | const`[inline]`

ImpostorSprite* osgSim::ImpostorSpriteManager::first | ( |  | ) | `[inline]`

ImpostorSprite* osgSim::ImpostorSpriteManager::last | ( |  | ) | `[inline]`

void osgSim::ImpostorSpriteManager::push_back | ( | ImpostorSprite * | is | ) |

void osgSim::ImpostorSpriteManager::remove | ( | ImpostorSprite * | is | ) |

void osgSim::ImpostorSpriteManager::reset | ( |  | ) |

## Member Data Documentation

osg::ref_ptr<osg::AlphaFunc> osgSim::ImpostorSpriteManager::_alphafunc`[protected]`

ImpostorSprite* osgSim::ImpostorSpriteManager::_first`[protected]`

ImpostorSprite* osgSim::ImpostorSpriteManager::_last`[protected]`

unsigned int osgSim::ImpostorSpriteManager::_reuseStateSetIndex`[protected]`

StateSetList osgSim::ImpostorSpriteManager::_stateSetList`[protected]`

osg::ref_ptr<osg::TexEnv> osgSim::ImpostorSpriteManager::_texenv`[protected]`

The documentation for this class was generated from the following file:

- ImpostorSprite